Bug 767439 - Problem connecting to HUAWEI E177 3G stick.
Problem connecting to HUAWEI E177 3G stick.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: ModemManager (Show other bugs)
16
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-13 22:01 EST by Yogendra
Modified: 2013-02-13 08:49 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 08:49:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Network Manager Debug logs. (4.12 KB, text/x-log)
2011-12-13 22:03 EST, Yogendra
no flags Details

  None (edit)
Description Yogendra 2011-12-13 22:01:51 EST
Description of problem:

Unable to connect to Tata Docomo 3G Wireless BroadBand, using HUAWEI Technology E177 3G stick. 

Version-Release number of selected component (if applicable):

# rpm -qa |grep NetworkManager
NetworkManager-0.9.2-1.fc16.x86_64
NetworkManager-glib-0.9.2-1.fc16.x86_64
NetworkManager-pptp-0.9.0-1.fc16.x86_64
NetworkManager-gtk-0.9.2-1.fc16.x86_64

# rpm -qa |grep Modem
ModemManager-0.4.998-1.git20110706.fc16.x86_64

# uname -a
Linux yjog.pnq.redhat.com 3.1.5-1.fc16.x86_64 #1 SMP Fri Dec 9 18:11:10 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux

# cat /etc/redhat-release 
Fedora release 16 (Verne)

How reproducible:
Always, when I try to connect to Tata Docomo 3G Wireless BroadBand, using HUAWEI Technology E177 3G stick. 

Steps to Reproduce:
1. Insert  HUAWEI Technology E177 3G dongle/stick in laptop (Dell D D630)  
2. Add/create connections using NetworkManager
3. Connect to newly created connection using NetworkManager.
  
Actual results:
The connection always fails.  

Expected results:
The connection should be established properly.

Additional info:

Modem-Manager in debug mode.

------------------------------------------------------------------------------------------
Dec 14 08:25:29 yjog NetworkManager[3976]: <info> Activation (ttyUSB0) starting connection 'Tata Docomo Internet 1'
Dec 14 08:25:29 yjog NetworkManager[3976]: <info> (ttyUSB0): device state change: disconnected -> prepare (reason 'none') [30 40 0]
Dec 14 08:25:29 yjog NetworkManager[3976]: <info> Activation (ttyUSB0) Stage 1 of 5 (Device Prepare) scheduled...
Dec 14 08:25:29 yjog NetworkManager[3976]: <info> Activation (ttyUSB0) Stage 1 of 5 (Device Prepare) started...
Dec 14 08:25:29 yjog NetworkManager[3976]: <info> Activation (ttyUSB0) Stage 1 of 5 (Device Prepare) complete.
Dec 14 08:25:29 yjog modem-manager[1089]: <info>  (ttyUSB0) opening serial port...
Dec 14 08:25:29 yjog dbus-daemon[1074]: modem-manager[1089]: <info>  (ttyUSB0) opening serial port...
Dec 14 08:25:29 yjog modem-manager[1089]: <info>  Modem /org/freedesktop/ModemManager/Modems/2: state changed (disabled -> enabling)
Dec 14 08:25:29 yjog dbus-daemon[1074]: modem-manager[1089]: <info>  Modem /org/freedesktop/ModemManager/Modems/2: state changed (disabled -> enabling)
Dec 14 08:25:29 yjog modem-manager[1089]: <info>  (ttyUSB2) opening serial port...
Dec 14 08:25:29 yjog dbus-daemon[1074]: modem-manager[1089]: <info>  (ttyUSB2) opening serial port...
Dec 14 08:25:29 yjog modem-manager[1089]: Invalid error code: 303
Dec 14 08:25:29 yjog dbus-daemon[1074]: modem-manager[1089]: Invalid error code: 303
Dec 14 08:25:29 yjog dbus-daemon[1074]: modem-manager[1089]: <info>  Modem /org/freedesktop/ModemManager/Modems/2: state changed (enabling -> enabled)
Dec 14 08:25:29 yjog modem-manager[1089]: <info>  Modem /org/freedesktop/ModemManager/Modems/2: state changed (enabling -> enabled)
Dec 14 08:25:29 yjog NetworkManager[3976]: <info> WWAN now enabled by management service
Dec 14 08:25:29 yjog dbus-daemon[1074]: modem-manager[1089]: <info>  Modem /org/freedesktop/ModemManager/Modems/2: state changed (enabled -> registered)
Dec 14 08:25:29 yjog modem-manager[1089]: <info>  Modem /org/freedesktop/ModemManager/Modems/2: state changed (enabled -> registered)
Dec 14 08:25:30 yjog dbus-daemon[1074]: modem-manager[1089]: <info>  Modem /org/freedesktop/ModemManager/Modems/2: state changed (registered -> connecting)
Dec 14 08:25:30 yjog modem-manager[1089]: <info>  Modem /org/freedesktop/ModemManager/Modems/2: state changed (registered -> connecting)
Dec 14 08:25:30 yjog dbus-daemon[1074]: modem-manager[1089]: <info>  Modem /org/freedesktop/ModemManager/Modems/2: state changed (connecting -> connected)
Dec 14 08:25:30 yjog modem-manager[1089]: <info>  Modem /org/freedesktop/ModemManager/Modems/2: state changed (connecting -> connected)
Dec 14 08:25:30 yjog NetworkManager[3976]: <info> Activation (ttyUSB0) Stage 2 of 5 (Device Configure) scheduled...
Dec 14 08:25:30 yjog NetworkManager[3976]: <info> Activation (ttyUSB0) Stage 2 of 5 (Device Configure) starting...
Dec 14 08:25:30 yjog NetworkManager[3976]: <info> (ttyUSB0): device state change: prepare -> config (reason 'none') [40 50 0]
Dec 14 08:25:30 yjog NetworkManager[3976]: <info> Activation (ttyUSB0) Stage 2 of 5 (Device Configure) successful.
Dec 14 08:25:30 yjog NetworkManager[3976]: <info> Activation (ttyUSB0) Stage 3 of 5 (IP Configure Start) scheduled.
Dec 14 08:25:30 yjog NetworkManager[3976]: <info> Activation (ttyUSB0) Stage 2 of 5 (Device Configure) complete.
Dec 14 08:25:30 yjog NetworkManager[3976]: <info> Activation (ttyUSB0) Stage 3 of 5 (IP Configure Start) started...
Dec 14 08:25:30 yjog NetworkManager[3976]: <info> (ttyUSB0): device state change: config -> ip-config (reason 'none') [50 70 0]
Dec 14 08:25:30 yjog NetworkManager[3976]: <info> starting PPP connection
Dec 14 08:25:30 yjog NetworkManager[3976]: <info> pppd started with pid 4760
Dec 14 08:25:30 yjog NetworkManager[3976]: <info> Activation (ttyUSB0) Stage 3 of 5 (IP Configure Start) complete.
Dec 14 08:25:30 yjog pppd[4760]: Plugin /usr/lib64/pppd/2.4.5/nm-pppd-plugin.so loaded.
Dec 14 08:25:30 yjog pppd[4760]: pppd 2.4.5 started by yjog, uid 0
Dec 14 08:25:30 yjog pppd[4760]: Using interface ppp0
Dec 14 08:25:30 yjog pppd[4760]: Connect: ppp0 <--> /dev/ttyUSB0
Dec 14 08:25:30 yjog pppd[4760]: CHAP authentication succeeded
Dec 14 08:25:30 yjog pppd[4760]: CHAP authentication succeeded
Dec 14 08:25:31 yjog pppd[4760]: Modem hangup
Dec 14 08:25:31 yjog pppd[4760]: Connection terminated.
Dec 14 08:25:31 yjog avahi-daemon[1014]: Withdrawing workstation service for ppp0.
Dec 14 08:25:31 yjog NetworkManager[3976]: <info> (ttyUSB0): device state change: ip-config -> failed (reason 'ip-config-unavailable') [70 120 5]
Dec 14 08:25:31 yjog NetworkManager[3976]: <warn> Activation (ttyUSB0) failed.
Dec 14 08:25:31 yjog NetworkManager[3976]: <info> (ttyUSB0): device state change: failed -> disconnected (reason 'none') [120 30 0]
Dec 14 08:25:31 yjog NetworkManager[3976]: <info> (ttyUSB0): deactivating device (reason 'none') [0]
Dec 14 08:25:31 yjog NetworkManager[3976]: nm_system_iface_flush_routes: assertion `ifindex > 0' failed
Dec 14 08:25:31 yjog NetworkManager[3976]: nm_system_iface_flush_addresses: assertion `ifindex > 0' failed
Dec 14 08:25:31 yjog modem-manager[1089]: <info>  (ttyUSB0) closing serial port...
Dec 14 08:25:31 yjog modem-manager[1089]: <info>  (ttyUSB0) serial port closed
Dec 14 08:25:31 yjog modem-manager[1089]: <info>  Modem /org/freedesktop/ModemManager/Modems/2: state changed (connected -> disconnecting)
Dec 14 08:25:31 yjog modem-manager[1089]: <info>  Modem /org/freedesktop/ModemManager/Modems/2: state changed (disconnecting -> connected)
Dec 14 08:25:31 yjog dbus-daemon[1074]: modem-manager[1089]: <info>  (ttyUSB0) closing serial port...
Dec 14 08:25:31 yjog dbus-daemon[1074]: modem-manager[1089]: <info>  (ttyUSB0) serial port closed
Dec 14 08:25:31 yjog dbus-daemon[1074]: modem-manager[1089]: <info>  Modem /org/freedesktop/ModemManager/Modems/2: state changed (connected -> disconnecting)
Dec 14 08:25:31 yjog dbus-daemon[1074]: modem-manager[1089]: <info>  Modem /org/freedesktop/ModemManager/Modems/2: state changed (disconnecting -> connected)
Dec 14 08:25:31 yjog NetworkManager[3976]: <info> Policy set 'dracula-den' (wlan0) as default for IPv4 routing and DNS.
Dec 14 08:25:31 yjog NetworkManager[3976]: <info> Policy set 'dracula-den' (wlan0) as default for IPv4 routing and DNS.
Dec 14 08:25:31 yjog NetworkManager[3976]: <info> disconnect failed: (32) The serial port is not open.
Dec 14 08:25:32 yjog pppd[4760]: Exit.
Dec 14 08:25:32 yjog dbus-daemon[1074]: dbus[1074]: [system] Rejected send message, 2 matched rules; type="error", sender=":1.103" (uid=0 pid=3976 comm="NetworkManager --no-daemon ") interface="(unset)" member="(unset)" error name="org.freedesktop.DBus.Error.UnknownMethod" requested_reply="0" destination=":1.124" (uid=0 pid=4760 comm="/usr/sbin/pppd nodetach lock nodefaultroute user i")
Dec 14 08:25:32 yjog dbus[1074]: [system] Rejected send message, 2 matched rules; type="error", sender=":1.103" (uid=0 pid=3976 comm="NetworkManager --no-daemon ") interface="(unset)" member="(unset)" error name="org.freedesktop.DBus.Error.UnknownMethod" requested_reply="0" destination=":1.124" (uid=0 pid=4760 comm="/usr/sbin/pppd nodetach lock nodefaultroute user i")
------------------------------------------------------------------------------------------

Network Manager Logs attached.
Comment 1 Yogendra 2011-12-13 22:03:01 EST
Created attachment 546509 [details]
Network Manager Debug logs.
Comment 5 Fedora End Of Life 2013-01-16 08:08:44 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Fedora End Of Life 2013-02-13 08:49:56 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.